Skip to content

Delete an identity document

Request

Soft-deletes an identity document. See AIP-164.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
documentstringrequired

The document id.

curl -i -X DELETE \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/documents/{document}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
One of:
namestring(name)

(IDENTIFIER) The resource name of the document. Format: documents/{document}

typestring(type)required
Enum:"DOCUMENT_TYPE_UNSPECIFIED""DRIVERS_LICENCE""PASSPORT""AU_MEDICARE_CARD""VISA""BIRTH_CERTIFICATE"
entitystring(entity)

(OPTIONAL) Optional. The entity this document belongs to. Format: entities/{entity}

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the document was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the document was most recently updated.

deleteTimestring, (date-time)(delete_time)read-only

Output only. The timestamp when the document was deleted. See AIP-164.

auMedicareCardobject(au_medicare_card)required
Response
{ "name": "string", "type": "DOCUMENT_TYPE_UNSPECIFIED", "entity": "string", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "deleteTime": "2023-01-15T01:30:15.01Z", "auMedicareCard": { "cardNumber": "string", "individualReferenceNumber": 1, "birthDate": {}, "cardExpiry": {}, "cardType": "CARD_TYPE_UNSPECIFIED", "fullName1": "string", "fullName2": "string", "fullName3": "string", "fullName4": "string", "expiryDate": {} } }